<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>

	<!-- Entte HTML --> 
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<title>Configuration de SLICO 2</title>
		<link rel="stylesheet" type="text/css" href="slico.css">

		<!-- Affichage du favicon --> 
		<link rel="shortcut icon" href="../favicon.png"> 
		<link rel="icon" type="image/x-icon" href="../favicon.png"> 
	</head>

	<!-- Corps du document --> 							 
	<body>
		<!-- cadre de la page --> 
		<div style="text-align: justify; width: 800px; margin: 0 auto">	
			
			<!-- En-tte --> 
			<div style="float: right">
				<img src="slico_180x131.png" border="0" width="180" height="131" alt="">
			</div>	
						 
			<div style="float: left">
				<img src="editions_rush_180x131.png" border="0" width="180" height="131" alt="">
			</div>	  
			
			<!-- Titre --> 
			<div style="float: none; text-align: center; font-family: Arial; font-size: 20px; text-decoration: underline; font-weight: bold; margin-top: 2em">
				<br><br>Configuration de SLICO 2
			</div>		  
			
			<!-- Espace vertical --> 
			<div style="clear: both; margin-bottom: 3em">
			</div>
		  					  	
			<div style="text-align: left; margin: 0 auto; width: 800px">	 

			<!-- Analyse des modifications proposes -->	
			<?php
				// Accs seul
				$acces_seul = $_POST["acces_seul"];	
				if ($acces_seul == "oui") {
					// traitement de .htaccess et .htpasswd
					$mdp = $_POST['mdp'];	
					$mdp2 = $_POST['mdp2'];	
					$cryptage = $_POST['cryptage'];	
					$admin = $_POST['admin'];	
					$mdp_old = $_POST['mdp_old'];	
					  
					if (strlen($mdp) < 3){
						// rejet du changement	  
						echo "<font color='red'>Votre mot de passe est trop court, il faut au minimum 3 caractres. Veuillez recommencer.</font> <br><br>"; 
						echo '<div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}					  
					if ($mdp != $mdp2){
						// rejet du changement	  
						echo "<font color='red'>Vos deux mots de passe saisis sont diffrents, veuillez recommencer.</font> <br><br>"; 
						echo '<div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}					  
				
					if ($mdp_old == $mdp){
						// rejet du changement	  
						echo "<font color='red'>Vous avez conserv l'ancien mot de passe, votre site ne peux pas tre scuris, veuillez recommencer.</font> <br><br>"; 
						echo '<div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}
					if (($mdp_old != $mdp) and ($mdp == $mdp2)and (strlen($mdp) > 2)){	
						// tout est correct, on cre les deux fichiers
						$file = '.htaccess';  
						$path = realpath("."); 
						$path = '"'.$path.'/.htpasswd"';
						$content = "AuthUserFile ".$path."\nAuthGroupFile /dev/null\nAuthName \"Acces Restreint\"\nAuthType Basic\n<Limit GET POST>\nrequire valid-user\n</Limit>";
						file_put_contents($file, $content);
						$file = '.htpasswd';   
						$characts = 'abcdefghijklmnopqrstuvwxyz';
						$code_aleatoire = ''; 
						for($i=0;$i < 2;$i++)    
						{ 
					        $code_aleatoire .= substr($characts,rand()%(strlen($characts)),1); 
						}
						if ($cryptage) $crypto=crypt($mdp,$code_aleatoire); else $crypto=$mdp;
  
						$content = $admin.":".$crypto;
						file_put_contents($file, $content);

						echo "La partie administration du site est maintenant scurise. Le nouveau <b>login</b> et le nouveau <b>mot de passe</b> vous seront demands pour passer  l'tape suivante. <br><br>"; 
						echo "Si l'accs vous est refus, c'est que votre hbergeur utilise des fonctions non standard. Reportez-vous au fichier <b>guide.html</b> du package SLICO pour corriger. <br><br>"; 
						echo '<div class="titre" style="text-align: center"><a href="../index.php">Suite</a></div>';
					}
				}
				
				// Bdd seule 
				
				$bdd_seule = $_POST["bdd_seule"];	
				
				if ($bdd_seule == "oui") {
					$serveur_db = $_POST['serveur_db'];
					$login_db = $_POST['login_db'];
					$pass_db = $_POST['pass_db'];
					$nom_db = $_POST['nom_db'];
					$prefixe_db = $_POST['prefixe_db'];	  
					$prefixe_db = str_replace(' ', '_', $prefixe_db);	
					
					$db=mysql_connect($serveur_db,$login_db,$pass_db);
					mysql_select_db($nom_db,$db);
				
					if (mysql_errno() == "2005") 
					{
						// la base n'existe pas
						echo "<br><br>Message du serveur : ".mysql_error();
						echo "<br><br>La base de donnes ayant pour nom <b>'".$serveur_db."'</b> n'existe pas.";	
						echo "<br><br>Assurez-vous de l'existence de cette base de donnes dans les documents fournis par votre hbergeur.";
						echo '<br><br><div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}
				
					if (mysql_errno() == "1045") 
					{
						// le login/mot de passe est erron
						echo "<br><br>Message du serveur : ".mysql_error();
						echo "<br><br>Le login '".$login_db."' ou le mot de passe '".$pass_db."' ne sont pas valides.";	
						echo "<br><br>Vrifiez leur existence dans les documents fournis par votre hbergeur.";
						echo '<br><br><div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}
					
					if (mysql_errno() == "1044") 
					{
						// le nom de la base n'est pas valide
						echo "<br><br>Message du serveur : ".mysql_error();
						echo "<br><br>Le nom de la base '".$nom_db."' n'est pas valide.";	
						echo "<br><br>Vrifiez son existence dans les documents fournis par votre hbergeur.";
						echo '<br><br><div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}
					
					if ((mysql_errno() > "0") and (mysql_errno() != "2005") and (mysql_errno() != "1045") and (mysql_errno() != "1044"))  
					{
						// autre erreur
						echo "<br><br>Message du serveur : ".mysql_error();
						echo "<br><br>Les informations concernant la configuration de la connection  la base de donnes ne sont pas valides.";	
						echo "<br><br>Vrifiez leurs valeurs dans les documents fournis par votre hbergeur.";
						echo '<br><br><div class="titre" style="text-align: center"><a href="../index.php">Retour</a></div>';
					}				   
					
					if (mysql_errno() == "0")
						{
							// on cre les tables :
							// la table des rubriques
							$table = $prefixe_db."_rubriques";	
						
							$requete = "CREATE TABLE $table(   
							
							ref_rubrique INT NOT NULL, 
							nom_rubrique VARCHAR(30) NOT NULL, 
							ordre INT NOT NULL)";	 
							
							$resultat = mysql_db_query($nom_db,$requete,$db);	  	 
							
				$nom_rubrique = "Liens SLICO";  
				$ref_rubrique = 1;		   
				$ordre = 1;
				$requete1 = "INSERT INTO $table VALUES ('$ref_rubrique','$nom_rubrique','$ordre')";
				$resultat1 = mysql_db_query($nom_db,$requete1,$db);    

				$nom_rubrique = "Portails";  
				$ref_rubrique = 2;		   
				$ordre = 2;
				$requete1 = "INSERT INTO $table VALUES ('$ref_rubrique','$nom_rubrique','$ordre')";
				$resultat1 = mysql_db_query($nom_db,$requete1,$db);    

				$nom_rubrique = "HORS_rubriques";  
				$ref_rubrique = 3;		   
				$ordre = 3;
				$requete2 = "INSERT INTO $table VALUES ('$ref_rubrique','$nom_rubrique','$ordre')";
				$resultat2 = mysql_db_query($nom_db,$requete2,$db);    

				
						 
							// la table des sites 
							$table = $prefixe_db."_sites";	
						
							$requete = "CREATE TABLE $table(   
								
							ref_site  INT NOT NULL, 
							nom_site  VARCHAR(60) NOT NULL,
							rubrique_site INT NOT NULL, 
							url_site VARCHAR(255) NOT NULL,
							url_a_visiter VARCHAR(255) NOT NULL,
							nom_logo VARCHAR(60) NOT NULL,
							hauteur_logo  INT NOT NULL,
							largeur_logo  INT NOT NULL,
							a_visiter VARCHAR(10) NOT NULL)";	  

							$resultat = mysql_db_query($nom_db,$requete,$db);	

			$ref_site = 1;
			$nom_site = "Slico.net";
			$rubrique_site = 1;
			$url_site = "http://slico.net";
			$url_a_visiter = "http://slico.net";
			$nom_logo = "logo_slico";
			$hauteur_logo = 45;
			$largeur_logo = 125;
			$a_visiter = "oui";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    

			$ref_site = 2;
			$nom_site = "RUShWeb.org";
			$rubrique_site = 1;
			$url_site = "http://rushweb.org";
			$url_a_visiter = "http://rushweb.org";
			$nom_logo = "rushweb";
			$hauteur_logo = 45;
			$largeur_logo = 76;
			$a_visiter = "oui";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
							
			$ref_site = 3;
			$nom_site = "Seysses.info";
			$rubrique_site = 1;
			$url_site = "http://seysses.info";
			$url_a_visiter = "http://seysses.info";
			$nom_logo = "seysses_info";
			$hauteur_logo = 45;
			$largeur_logo = 55;
			$a_visiter = "non";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
			$ref_site = 4;
			$nom_site = "Muret.info";
			$rubrique_site = 1;
			$url_site = "http://muret.info";
			$url_a_visiter = "http://muret.info";
			$nom_logo = "muret";
			$hauteur_logo = 45;
			$largeur_logo = 71;
			$a_visiter = "non";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
							
			$ref_site = 5;
			$nom_site = "Roques-sur-Garonne.info";
			$rubrique_site = 1;
			$url_site = "http://roques-sur-Garonne.info";
			$url_a_visiter = "http://roques-sur-Garonne.info";
			$nom_logo = "roques";
			$hauteur_logo = 45;
			$largeur_logo = 45;
			$a_visiter = "non";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
			$ref_site = 6;
			$nom_site = "Cugnaux.info";
			$rubrique_site = 1;
			$url_site = "http://cugnaux.info";
			$url_a_visiter = "http://cugnaux.info";
			$nom_logo = "cugnaux_info";
			$hauteur_logo = 45;
			$largeur_logo = 45;
			$a_visiter = "non";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
			$ref_site = 7;
			$nom_site = "Agenda Loto";
			$rubrique_site = 2;
			$url_site = "http://agenda-loto.net/";
			$url_a_visiter = "http://agenda-loto.net/";
			$nom_logo = "lotos";
			$hauteur_logo = 45;
			$largeur_logo = 50;
			$a_visiter = "non";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
			$ref_site = 8;
			$nom_site = "Info-Brocantes";
			$rubrique_site = 2;
			$url_site = "http://www.info-brocantes.com/";
			$url_a_visiter = "http://www.info-brocantes.com/";
			$nom_logo = "brocantes";
			$hauteur_logo = 45;
			$largeur_logo = 50;
			$a_visiter = "non";
			$requete3 = "INSERT INTO $table VALUES ('$ref_site','$nom_site','$rubrique_site','$url_site','$url_a_visiter','$nom_logo','$hauteur_logo','$largeur_logo','$a_visiter')";
			$resultat3 = mysql_db_query($nom_db,$requete3,$db);    
							
			
				   
							// la table des news
							$table = $prefixe_db."_news";	
						
							$requete = "CREATE TABLE $table(   
								
							ref_info INT NOT NULL,
							date_info DATE NOT NULL,
							heure_info TIME NOT NULL,
							choix_site INT NOT NULL,
							url_site_finale VARCHAR(255) NOT NULL,
							texte_info TEXT NOT NULL,
							date_agenda_debut DATE NOT NULL,
							date_agenda_fin DATE NOT NULL,
							duree_pub INT NOT NULL,
							statut_news TINYTEXT NOT NULL)";
							
							$resultat = mysql_db_query($nom_db,$requete,$db);	
							
			$date_info = date('Y-m-d');    
		    $maintenant = getdate();	
		    
			$heures = $maintenant[hours];	
			$date_agenda = date ('Y-m-d', strtotime($date_info.' +1 days'));
		    $minutes = $maintenant[minutes];
		    $secondes = $maintenant[seconds];
			$heure_info = $heures.":".$minutes.":".$secondes;	
			
			$ref_info = 1;
			$choix_site = 2;
			$url_site_finale = "http://slico.net";
			$texte_info = "Les ditions RUSh et le robot SLICO vous souhaitent la bienvenue  bord de votre nouveau site.";
			$date_agenda_debut = $date_agenda;
			$date_agenda_fin = $date_agenda;
			$duree_pub = 0;
			$statut_news = "oui";
			
			$requete4 = "INSERT INTO $table VALUES ('$ref_info','$date_info','$heure_info','$choix_site','$url_site_finale','$texte_info','$date_agenda_debut','$date_agenda_fin','$duree_pub','$statut_news')";
			$resultat4 = mysql_db_query($nom_db,$requete4,$db);    
							   
						
							// la table des services
							$table = $prefixe_db."_services";	
						
							$requete = "CREATE TABLE $table(   
								
							ref_service INT NOT NULL,
							nom_service VARCHAR(60) NOT NULL,
							URL_service VARCHAR(255) NOT NULL,
							nom_sigle VARCHAR(60) NOT NULL,
							hauteur_sigle INT NOT NULL,
							largeur_sigle INT NOT NULL,
							texte_service TEXT NOT NULL,
							ordre INT NOT NULL)";
							
							$resultat = mysql_db_query($nom_db,$requete,$db);		  
							
			$ref_service = 1;
			$nom_service = "ditions RUSh";
			$URL_service = "http://plusaccessible.org";
			$nom_sigle = "sigle_rush";
			$hauteur_sigle = 45;
			$largeur_sigle = 45;
			$texte_service = "Les ditions RUSh sont  votre disposition pour rendre l\'informatique plus accessible.";
			$ordre = 1;

			$requete5 = "INSERT INTO $table VALUES ('$ref_service','$nom_service','$URL_service','$nom_sigle','$hauteur_sigle','$largeur_sigle','$texte_service','$ordre')";
			$resultat5 = mysql_db_query($nom_db,$requete5,$db);    
			
			$ref_service = 2;
			$nom_service = "SLICO";
			$URL_service = "http://slico.net";
			$nom_sigle = "sigle_slico";
			$hauteur_sigle = 45;
			$largeur_sigle = 45;
			$texte_service = "Pour plus d\'information, visitez slico.net";
			$ordre = 1;

			$requete5 = "INSERT INTO $table VALUES ('$ref_service','$nom_service','$URL_service','$nom_sigle','$hauteur_sigle','$largeur_sigle','$texte_service','$ordre')";
			$resultat5 = mysql_db_query($nom_db,$requete5,$db);    
							
						   
							// et pour finir, la table des sponsors
							$table = $prefixe_db."_sponsors";	
						
							$requete = "CREATE TABLE $table(   
								
							ref_sponsor INT NOT NULL,
							nom_sponsor VARCHAR(60) NOT NULL,
							nom_encart VARCHAR(60) NOT NULL,
							hauteur_encart INT NOT NULL,
							largeur_encart INT NOT NULL,
							URL_sponsor VARCHAR(255) NOT NULL,
							ordre TINYINT NOT NULL)";
							
							$resultat = mysql_db_query($nom_db,$requete,$db);	   
							
			$ref_sponsor = 1;
			$nom_sponsor = "ditions RUSh";
			$nom_encart = "encart_editions_rush";
			$hauteur_encart = 170;
			$largeur_encart = 170;
			$URL_sponsor = "http://plusaccessible.org/livres/presentation_editions_rush.php";
			$ordre = 1;							
			$requete6 = "INSERT INTO $table VALUES ('$ref_sponsor','$nom_sponsor','$nom_encart','$hauteur_encart','$largeur_encart','$URL_sponsor','$ordre')";
			$resultat6 = mysql_db_query($nom_db,$requete6,$db);    


							// criture de config.php

					   		// config.php tant absent, on cre les bonnes variables
							$titre = "Application SLICO 2"; 
							$lien_image_coin_gauche = "http://plusaccessible.org"; 
							$image_coin_gauche = "editions_rush_180x131.png"; 
							$largeur_image_coin_gauche = 180; 
							$hauteur_image_coin_gauche = 131; 
							$image_centre = "logo.png"; 
							$largeur_image_centre = 500; 
							$hauteur_image_centre = 52; 
							$lien_image_coin_droit = "http://slico.net"; 
							$image_coin_droit = "slico_180x131.png"; 
							$largeur_image_coin_droit = 180;  
							$hauteur_image_coin_droit = 131;  
							$duckduckgo = "oui"; 
							$horloge = "oui"; 
							$onglet1 = "News"; 
							$onglet2 = "Agenda"; 
							$onglet3 = "Services"; 
							$onglet4 = "Publiez !"; 
							$onglet5 = "A propos"; 
							$taille_police_onglets = "18"; 
							$votre_site = "monsite.info"; 
							$nombre_de_news = "50"; 
							$change_date_parution = "17"; 
							$longueur_minimale_news = "50"; 
							$pub_slico = "oui"; 
							$meteo = "oui"; 
							$destinataire = "monadresse@email.com"; 
							$destinataire_visible = "oui"; 
							$image_destinataire = "image_destinataire.png"; 
							$emplacement_geographique = "la commune de ..."; 
							$titre_colonne_droite = "Partenaires"; 
							$bas_de_page = "oui"; 
							$mise_a_jour = "non";
							
					   		// et on enregistre le fichier
							$file = 'config.php';  	  
							$content = "<?php\n";
							$content .= " ///////////////////////////////////////////////////////////////////////////////////////////\n";	
							$content .= " // Dans ce fichier, vous ne devez modifier que la valeur des variables.\n";
							$content .= " // Exemple de modification d'une valeur : $titre = \"Application SLICO 2\";\n"; 
							$content .= " // pourrait par exemple devenir : $titre = \"le SLICO de Marmande\";\n";
							$content .= " // Le nom des variables (prcd du signe $) ne doit jamais tre modifi, ni les\n"; 
							$content .= " // balises php places  la premire ligne et  la dernire ligne de ce fichier.\n";
							$content .= " // Veillez  bien laisser en place le signe =, les caratres \" encadrant les valeurs\n"; 
							$content .= " // ainsi que le ; qui termine chaque entre.\n";
							$content .= " // De mme, ne modifiez pas les chemins d'accs aux fichiers.\n"; 
							$content .= " // Exemple \"images/entete/editions_rush_180.png\" peut devenir \"images/entete/mon_image.png\",\n"; 
							$content .= " // mais \"images/entete/ ne doit pas changer.\n";
							$content .= " // Tout les textes prcds de deux slashes (//) sont des commentaires que vous pouvez\n"; 
							$content .= " // modifier ou enrichir si vous le jugez utile.\n";
							$content .= " // Certaines options par dfaut peuvent tre laisses en place et modifies plus tard.\n"; 
							$content .= " // Par contre, celles qui doivent tre imprativement modifies sont signales de faon\n"; 
							$content .= " // explicite.\n"; 
							$content .= " ///////////////////////////////////////////////////////////////////////////////////////////\n";	
							$content .= "\n";	
							$content .= "// Titre de la page.\n";
							$content .= "// -----------------\n";
							$content .= "\$titre = \"".$titre."\";  // Texte librement modifiable.\n"; 
							$content .= "\n";	
							$content .= " // Configuration de la connection  la base de donnes (modifications impratives).\n";
							$content .= " // --------------------------------------------------------------------------------\n";	
							$content .= "\$serveur_db = \"".$serveur_db."\";  // Nom du serveur MySQL. Inscrire le nom du serveur MySQL tel qu'il\n"; 
							$content .= " // vous a t fourni par votre hbergeur.\n";
							$content .= "\$login_db = \"".$login_db."\";  // Login. Votre login (nom de l'utilisateur) pour le serveur MySQL  tel\n"; 
							$content .= " // qu'il vous a t fourni par votre hbergeur.\n";
							$content .= "\$pass_db = \"".$pass_db."\";  // Mot de passe. Le mot de passe pour le serveur MySQL  tel qu'il vous a t\n"; 
							$content .= " // fourni par votre hbergeur.\n";
							$content .= "\$nom_db = \"".$nom_db."\";  // Base. Le nom de la base de donnes tel qu'il vous a t fourni par\n"; 
							$content .=	" // votre hbergeur.\n";
							$content .= "\n";	
							$content .= " // Personnalisation de vos donnes.	(facultatif).\n";
							$content .= " // ----------------------------------------------\n";
							$content .= "\$prefixe_db = \"".$prefixe_db."\";\n"; 							 
							$content .= " // remplacez la valeur par quelques lettres indentifiant les donnes propres  votre site.\n"; 
							$content .= " // Ceci vous permettra de crer sur la mme base plusieurs sites SLICO \n";
							$content .= " // par exemple mar pour Marmande, lag pour Lagupie, etc.\n";
							$content .= "\n";	
							$content .= " // Ressources de l'en-tte\n"; 	 										
							$content .= " // -----------------------\n";
							$content .= "\$lien_image_coin_gauche = \"".$lien_image_coin_gauche."\"; // Par dfaut, il s'agit d'un lien\n"; 
							$content .= " // vers le site de l'Association RUSh. Vous pouvez le laisser, le remplacer par le votre\n"; 
							$content .= " // ou encore le supprimer en remplaant http://plusaccessible.org par le signe #\n";
							$content .= "\$image_coin_gauche = \"".$image_coin_gauche."\"; // Par dfaut, il s'agit du \n";
							$content .= " // logo de l'Association RUSh. Vous pouvez le laisser ou le remplacer par le vtre au \n";
							$content .= " // format .png dans le dossier images/entete/, avec sensiblement la mme taille.\n";
							$content .= "\$largeur_image_coin_gauche = \"".$largeur_image_coin_gauche."\"; // largeur du logo. Changez pour la largeur du vtre\n"; 
							$content .= " // ventuellement.\n";
							$content .= "\$hauteur_image_coin_gauche = \"".$hauteur_image_coin_gauche."\"; // hauteur du logo. Changez pour la hauteur du vtre\n";
							$content .= " // ventuellement.\n";
							$content .= "\$image_centre = \"".$image_centre."\"; // Modification imprative. Il s'agit\n"; 
							$content .= " // d'un exemple cr sur  le site http://fr.cooltext.com/. Remplacez l'image par la vtre\n"; 
							$content .= " // avec sensiblement la mme taille.\n";
							$content .= "\$largeur_image_centre = \"".$largeur_image_centre."\"; // largeur de l'image. Modification imprative.\n"; 
							$content .= " // Changez pour la largeur du vtre imprativement.\n";
							$content .= "\$hauteur_image_centre = \"".$hauteur_image_centre."\"; // hauteur de l'image. Modification imprative.\n"; 
							$content .= " // Changez pour la hauteur du vtre imprativement.\n";
							$content .= "\n";	
							$content .= "\$lien_image_coin_droit = \"".$lien_image_coin_droit."\";  // Par dfaut, il s'agit d'un lien vers\n";
							$content .= " // le site Slico.net. Vous pouvez le laisser, le remplacer par le vtre ou encore le\n"; 
							$content .= " // supprimer en remplaant http://slico.net par le signe #\n";
							$content .= "\$image_coin_droit = \"".$image_coin_droit."\"; // Par dfaut, il s'agit du logo de SLICO \n";
							$content .= " // Vous pouvez le laisser ou le remplacer par le vtre au format .png dans le dossier\n"; 
							$content .= " // images/entete/, avec sensiblement la mme taille.\n";
							$content .= "\$largeur_image_coin_droit = \"".$largeur_image_coin_droit."\";  // largeur du logo. Changez pour la largeur du vtre\n"; 
							$content .= " // ventuellement.\n";
							$content .= "\$hauteur_image_coin_droit = \"".$hauteur_image_coin_droit."\";  // hauteur du logo. Changez pour la hauteur du vtre\n"; 
							$content .= " // ventuellement.\n";   	   
							$content .= "\n";	
							$content .= "\$duckduckgo = \"".$duckduckgo."\"; // Si vous ne souhaitez pas que le moteur de recherche DuckDuckGo\n";
							$content .= " // apparaisse, remplacez oui par non.\n";
							$content .= "\$horloge = \"".$horloge."\"; // Si vous ne souhaitez pas que la date et l'heure s'affiche,\n"; 
							$content .= " // remplacez oui par non.\n";
							$content .= "\n";	
							$content .= " // Ressources des onglets\n";	
							$content .= " // -------------------\n";
							$content .= "\$onglet1 = \"".$onglet1."\"; \n"; 
							$content .= "\$onglet2 = \"".$onglet2."\"; \n";
							$content .= "\$onglet3 = \"".$onglet3."\"; \n";
							$content .= "\$onglet4 = \"".$onglet4."\"; \n";
							$content .= "\$onglet5 = \"".$onglet5."\"; // Si vous voulez changer le contenu des pages ou utiliser une autre langue,\n";
							$content .= " // modifiez les titres des onglets avec des mots courts pour ne pas dborder.\n";
							$content .= " // Notez aussi que vous pouvez modifier les couleurs des onglets et leur aspect en ditant\n"; 
							$content .= " // le fichier onglet.png qui se trouve dans le dossier images/fonds. Ne modifiez pas les proportions\n";
							$content .= " // des trois bandes, sinon, il vous faudra galement diter le fichier style.css\n";
							$content .= " // Vous pouvez galement changer le nom du fichier \"inc\" ouvert sous chaque onglet, mais dans ce cas,\n";  
							$content .= " // il faudra le faire au niveau du fichier index.php se trouvant  la racine du site. Vous pouvez ainsi\n";
							$content .= " // crer des sites diffrents du projet SLICO initial. Il vous faudra dans ce cas matriser\n"; 
							$content .= " // correctement l'criture de ces nouvelles pages en HTML, PHP, etc.\n";
							$content .= "\$taille_police_onglets = \"".$taille_police_onglets."\"; // Si vous modifiez les noms des onglets et que la taille ne convient plus,\n";
							$content .= " // vous pouvez adapter cette taille en modifiant la valeur d'origine.\n";
							$content .= " \n";	
							$content .= " // Ressources des news\n";
							$content .= " // -------------------\n";
							$content .= "\$votre_site = \"".$votre_site."\"; // Modification imprative. Placez ici le nom de votre site\n"; 
							$content .= "\n";	
							$content .= "\$nombre_de_news = \"".$nombre_de_news."\"; // Le nombre d'infos affiches, en plus de celles du jour, est de 50 par dfaut. Si\n"; 
							$content .= " // vous souhaitez en faire apparatre une quantit diffrente, modifier cette valeur.\n";
							$content .= "\n";	
							$content .= "\$change_date_parution = \"".$change_date_parution."\"; // Inscrivez ici l'heure  laquelle vous estimez qu'une information doit \n";
							$content .= " // aussi faire partie de celles du lendemain. Le nombre indiqu doit tre compris entre 0 et 23.\n"; 
							$content .= "\n";	
							$content .= "\$longueur_minimale_news = \"".$longueur_minimale_news."\"; //Inscrivez ici la taille minimale que doit avoir une information rcupre \n";
							$content .= " // par SLICO. Cela permet d'viter de s'encombrer d'informations banales comme la date par exemple. Vous pouvez \n";
							$content .= " // modifier cette valeur en moins pour perdre le moins d'informations possible ou en plus pour moins vous encombrer. \n";
							$content .= "\n";	
							$content .= "\$pub_slico = \"".$pub_slico."\";  // Si vous ne souhaitez pas qu\'une rfrence  Slico figure dans vos \n";
							$content .= " // news, remplacez oui par non.\n";
							$content .= "\$meteo = \"".$meteo."\"; // L'exemple donne la mto pour Seysses. Mettez non pour qu'elle\n"; 
							$content .= " // n'apparaisse pas. Si vous souhaitez y faire figurer la mto de votre zone gographique,\n"; 
							$content .= " // rendez-vous sur http://www.meteocity.com/widget/ et crez le script qui convient en\n"; 
							$content .= " // choisissant \"Sur 5 jours\" et format \"Horizontal\". Rcuperez le script et ditez le \n";
							$content .= " // fichier meteo.inc qui se trouve dans le dossier include. Remplacez le script existant \n";
							$content .= " // par le vtre entre les deux lignes signalant le dbut et la fin de ce script.\n";
							$content .= "\n";	
							$content .= " // Ressources pour la page Publiez !\n";
							$content .= " // ---------------------------------\n";
							$content .= "\$destinataire = \"".$destinataire."\"; // Modification imprative. Une adresse mail est\n"; 
							$content .= " // ncessaire ici afin que vous puissiez recevoir des informations de la part des visiteurs,\n"; 
							$content .= " // adresse de site, news, annonces, encarts, etc., via le formulaire de cette page.\n"; 
							$content .= " // A ce stade, cette adresse est masque.\n"; 
							$content .= "\$destinataire_visible = \"".$destinataire_visible."\"; // Une fois le formulaire valid, votre adresse apparatra\n"; 
							$content .= " // afin que vos visiteurs puissent vous faire parvenir des pices jointes par mail.\n"; 
							$content .= " // Si vous ne le souhaitez pas, remplacez oui par non.\n"; 
							$content .= "\$image_destinataire = \"".$image_destinataire."\"; // Vous pouvez galement placer \n";
							$content .= " // ici une image contenant votre adresse mail de telle faon que les robots ne puissent pas\n"; 
							$content .= " // facilement la rcuprer. Il suffit alors de laisser oui dans $destinataire_visible et\n"; 
							$content .= " // d'diter le fichier image_destinataire.png avec un outil graphique pour y placer votre adresse.\n"; 
							$content .= " // Attention : Si vous acceptez que votre mail apparaisse en mode texte mais pas en tant qu'image,\n";
							$content .= " // remplacez \"images/divers/image_destinataire.png\"; par \"\";\n";
							$content .= "\n";	
							$content .= " // Ressources pour la page A propos\n";
							$content .= " // ---------------------------------\n";
							$content .= "\$emplacement_geographique = \"".$emplacement_geographique."\"; // Modification imprative. Placez ici un \n";
							$content .= " // texte adapt  votre site qui se placera sur cette page aprs  le texte suivant :\n";
							$content .= " // Ce site est un agrgateur d'informations et de services pour ...\n";
							$content .= "\n";	
							$content .= " // Ressources pour la colonne de droite\n";
							$content .= " // ------------------------------------	\n";
							$content .= "\$titre_colonne_droite = \"".$titre_colonne_droite."\"; // La colonne de droite est prvue pour les encarts des partenaires.\n";
							$content .= " // Si vous souhaitez l'affecter  autre chose, changez ce titre.\n";
							$content .= "\n";	
							$content .= " // Ressources pour le bas de page\n";
							$content .= " // --------------------------------- \n";
							$content .= "\$bas_de_page = \"".$bas_de_page."\";  // Si vous ne souhaitez pas que le bas de page s'affiche, remplacez oui par non.\n";
							$content .= " // Le bas de page par dfaut est un simple lien vers le site slico.net soulign d'un double trait. Si vous\n"; 
							$content .= " // voulez modifier son contenu, ditez le fichier bas_de_page.inc.\n";
							$content .= "\n";	
							$content .= " //////////////////////////////////////////////////////////////////////////////////////////////////\n";
							$content .= " // Notez que l'ensemble de ces modifications suffisent pour faire fonctionner correctement votre \n"; 
							$content .= " // site avec les bons paramtres. Vous pouvez aller plus loin et personnaliser certaines pages. \n";
							$content .= " // La page \"A propos\" (ficher a_propos.inc dans le dossier includes/) est trs simple et vous\n";
							$content .= " // pouvez facilement l'utiliser pour vous entraner  faire des modifications.\n";
							$content .= " //////////////////////////////////////////////////////////////////////////////////////////////////\n";
							$content .= "\$mise_a_jour = \"".$mise_a_jour."\";  // Ne pas modifier.\n";
							$content .= " \n";	
							$content .= "?>\n";

							

							file_put_contents($file, $content);
							
							// On informe de la fin de la procdure
							
							echo '<p class="centrer"><br><br>La base de donnes '.$prefixe_db.' a t cre. Vous pouvez passer  l\'tape 3.</p>';	   
							
						echo '<br><br><div class="titre" style="text-align: center"><a href="configuration.php">Suite</a></div>';


					}
				}
				
				if (($acces_seul == "non") and ($bdd_seule == "non")) {
				
					// On rcupre les valeurs 	 
					
					$serveur_db = $_POST['serveur_db'];
					$login_db = $_POST['login_db'];
					$pass_db = $_POST['pass_db'];
					$nom_db = $_POST['nom_db'];
					$prefixe_db = $_POST['prefixe_db'];	  

					$titre = $_POST['titre'];
					$lien_image_coin_gauche = $_POST['lien_image_coin_gauche'];
					$image_coin_gauche = $_POST['image_coin_gauche'];
					$largeur_image_coin_gauche = $_POST['largeur_image_coin_gauche'];
					$hauteur_image_coin_gauche = $_POST['hauteur_image_coin_gauche']; 
					$image_centre = $_POST['image_centre'];
					$largeur_image_centre = $_POST['largeur_image_centre'];
					$hauteur_image_centre = $_POST['hauteur_image_centre'];
					$lien_image_coin_droit =$_POST['lien_image_coin_droit'];
					$image_coin_droit = $_POST['image_coin_droit'];
					$largeur_image_coin_droit = $_POST['largeur_image_coin_droit'];
					$hauteur_image_coin_droit = $_POST['hauteur_image_coin_droit']; 
					$duckduckgo = $_POST['duckduckgo'];
					$horloge = $_POST['horloge'];
					$onglet1 = $_POST['onglet1'];
					$onglet2 = $_POST['onglet2'];
					$onglet3 = $_POST['onglet3'];
					$onglet4 = $_POST['onglet4'];
					$onglet5 = $_POST['onglet5'];
					$taille_police_onglets = $_POST['taille_police_onglets'];
					$votre_site = $_POST['votre_site'];
					$nombre_de_news = $_POST['nombre_de_news'];
					$change_date_parution = $_POST['change_date_parution'];	
					$longueur_minimale_news = $_POST['longueur_minimale_news'];
					$pub_slico = $_POST['pub_slico'];
					$meteo = $_POST['meteo']; 
					$destinataire = $_POST['destinataire'];
					$destinataire_visible = $_POST['destinataire_visible']; 
					$image_destinataire = $_POST['image_destinataire'];
					$emplacement_geographique = $_POST['emplacement_geographique'];
					$titre_colonne_droite = $_POST['titre_colonne_droite']; 
					$bas_de_page = $_POST['bas_de_page'];
					$mise_a_jour = "oui";

					$file = 'config.php';  	  
			   		// on supprime le fichier config.php  
					unlink($file);
					// et on le rcrit 
					$content = "<?php\n";
					$content .= " ///////////////////////////////////////////////////////////////////////////////////////////\n";	
					$content .= " // Dans ce fichier, vous ne devez modifier que la valeur des variables.\n";
					$content .= " // Exemple de modification d'une valeur : $titre = \"Application SLICO 2\";\n"; 
					$content .= " // pourrait par exemple devenir : $titre = \"le SLICO de Marmande\";\n";
					$content .= " // Le nom des variables (prcd du signe $) ne doit jamais tre modifi, ni les\n"; 
					$content .= " // balises php places  la premire ligne et  la dernire ligne de ce fichier.\n";
					$content .= " // Veillez  bien laisser en place le signe =, les caratres \" encadrant les valeurs\n"; 
					$content .= " // ainsi que le ; qui termine chaque entre.\n";
					$content .= " // De mme, ne modifiez pas les chemins d'accs aux fichiers.\n"; 
					$content .= " // Exemple \"images/entete/editions_rush_180.png\" peut devenir \"images/entete/mon_image.png\",\n"; 
					$content .= " // mais \"images/entete/ ne doit pas changer.\n";
					$content .= " // Tout les textes prcds de deux slashes (//) sont des commentaires que vous pouvez\n"; 
					$content .= " // modifier ou enrichir si vous le jugez utile.\n";
					$content .= " // Certaines options par dfaut peuvent tre laisses en place et modifies plus tard.\n"; 
					$content .= " // Par contre, celles qui doivent tre imprativement modifies sont signales de faon\n"; 
					$content .= " // explicite.\n"; 
					$content .= " ///////////////////////////////////////////////////////////////////////////////////////////\n";	
					$content .= "\n";	
					$content .= "// Titre de la page.\n";
					$content .= "// -----------------\n";
					$content .= "\$titre = \"".$titre."\";  // Texte librement modifiable.\n"; 
					$content .= "\n";	
					$content .= " // Configuration de la connection  la base de donnes (modifications impratives).\n";
					$content .= " // --------------------------------------------------------------------------------\n";	
					$content .= "\$serveur_db = \"".$serveur_db."\";  // Nom du serveur MySQL. Inscrire le nom du serveur MySQL tel qu'il\n"; 
					$content .= " // vous a t fourni par votre hbergeur.\n";
					$content .= "\$login_db = \"".$login_db."\";  // Login. Votre login (nom de l'utilisateur) pour le serveur MySQL  tel\n"; 
					$content .= " // qu'il vous a t fourni par votre hbergeur.\n";
					$content .= "\$pass_db = \"".$pass_db."\";  // Mot de passe. Le mot de passe pour le serveur MySQL  tel qu'il vous a t\n"; 
					$content .= " // fourni par votre hbergeur.\n";
					$content .= "\$nom_db = \"".$nom_db."\";  // Base. Le nom de la base de donnes tel qu'il vous a t fourni par\n"; 
					$content .=	" // votre hbergeur.\n";
					$content .= "\n";	
					$content .= " // Personnalisation de vos donnes.	(facultatif).\n";
					$content .= " // ----------------------------------------------\n";
					$content .= "\$prefixe_db = \"".$prefixe_db."\";\n"; 							 
					$content .= " // remplacez la valeur par quelques lettres indentifiant les donnes propres  votre site.\n"; 
					$content .= " // Ceci vous permettra de crer sur la mme base plusieurs sites SLICO \n";
					$content .= " // par exemple mar pour Marmande, lag pour Lagupie, etc.\n";
					$content .= "\n";	
					$content .= " // Ressources de l'en-tte\n"; 	 										
					$content .= " // -----------------------\n";
					$content .= "\$lien_image_coin_gauche = \"".$lien_image_coin_gauche."\"; // Par dfaut, il s'agit d'un lien\n"; 
					$content .= " // vers le site de l'Association RUSh. Vous pouvez le laisser, le remplacer par le votre\n"; 
					$content .= " // ou encore le supprimer en remplaant http://plusaccessible.org par le signe #\n";
					$content .= "\$image_coin_gauche = \"".$image_coin_gauche."\"; // Par dfaut, il s'agit du \n";
					$content .= " // logo de l'Association RUSh. Vous pouvez le laisser ou le remplacer par le vtre au \n";
					$content .= " // format .png dans le dossier images/entete/, avec sensiblement la mme taille.\n";
					$content .= "\$largeur_image_coin_gauche = \"".$largeur_image_coin_gauche."\"; // largeur du logo. Changez pour la largeur du vtre\n"; 
					$content .= " // ventuellement.\n";
					$content .= "\$hauteur_image_coin_gauche = \"".$hauteur_image_coin_gauche."\"; // hauteur du logo. Changez pour la hauteur du vtre\n";
					$content .= " // ventuellement.\n";
					$content .= "\$image_centre = \"".$image_centre."\"; // Modification imprative. Il s'agit\n"; 
					$content .= " // d'un exemple cr sur  le site http://fr.cooltext.com/. Remplacez l'image par la vtre\n"; 
					$content .= " // avec sensiblement la mme taille.\n";
					$content .= "\$largeur_image_centre = \"".$largeur_image_centre."\"; // largeur de l'image. Modification imprative.\n"; 
					$content .= " // Changez pour la largeur du vtre imprativement.\n";
					$content .= "\$hauteur_image_centre = \"".$hauteur_image_centre."\"; // hauteur de l'image. Modification imprative.\n"; 
					$content .= " // Changez pour la hauteur du vtre imprativement.\n";
					$content .= "\n";	
					$content .= "\$lien_image_coin_droit = \"".$lien_image_coin_droit."\";  // Par dfaut, il s'agit d'un lien vers\n";
					$content .= " // le site Slico.net. Vous pouvez le laisser, le remplacer par le vtre ou encore le\n"; 
					$content .= " // supprimer en remplaant http://slico.net par le signe #\n";
					$content .= "\$image_coin_droit = \"".$image_coin_droit."\"; // Par dfaut, il s'agit du logo de SLICO \n";
					$content .= " // Vous pouvez le laisser ou le remplacer par le vtre au format .png dans le dossier\n"; 
					$content .= " // images/entete/, avec sensiblement la mme taille.\n";
					$content .= "\$largeur_image_coin_droit = \"".$largeur_image_coin_droit."\";  // largeur du logo. Changez pour la largeur du vtre\n"; 
					$content .= " // ventuellement.\n";
					$content .= "\$hauteur_image_coin_droit = \"".$hauteur_image_coin_droit."\";  // hauteur du logo. Changez pour la hauteur du vtre\n"; 
					$content .= " // ventuellement.\n";   	   
					$content .= "\n";	
					$content .= "\$duckduckgo = \"".$duckduckgo."\"; // Si vous ne souhaitez pas que le moteur de recherche DuckDuckGo\n";
					$content .= " // apparaisse, remplacez oui par non.\n";
					$content .= "\$horloge = \"".$horloge."\"; // Si vous ne souhaitez pas que la date et l'heure s'affiche,\n"; 
					$content .= " // remplacez oui par non.\n";
					$content .= "\n";	
					$content .= " // Ressources des onglets\n";	
					$content .= " // -------------------\n";
					$content .= "\$onglet1 = \"".$onglet1."\"; \n"; 
					$content .= "\$onglet2 = \"".$onglet2."\"; \n";
					$content .= "\$onglet3 = \"".$onglet3."\"; \n";
					$content .= "\$onglet4 = \"".$onglet4."\"; \n";
					$content .= "\$onglet5 = \"".$onglet5."\"; // Si vous voulez changer le contenu des pages ou utiliser une autre langue,\n";
					$content .= " // modifiez les titres des onglets avec des mots courts pour ne pas dborder.\n";
					$content .= " // Notez aussi que vous pouvez modifier les couleurs des onglets et leur aspect en ditant\n"; 
					$content .= " // le fichier onglet.png qui se trouve dans le dossier images/fonds. Ne modifiez pas les proportions\n";
					$content .= " // des trois bandes, sinon, il vous faudra galement diter le fichier style.css\n";
					$content .= " // Vous pouvez galement changer le nom du fichier \"inc\" ouvert sous chaque onglet, mais dans ce cas,\n";  
					$content .= " // il faudra le faire au niveau du fichier index.php se trouvant  la racine du site. Vous pouvez ainsi\n";
					$content .= " // crer des sites diffrents du projet SLICO initial. Il vous faudra dans ce cas matriser\n"; 
					$content .= " // correctement l'criture de ces nouvelles pages en HTML, PHP, etc.\n";
					$content .= "\$taille_police_onglets = \"".$taille_police_onglets."\"; // Si vous modifiez les noms des onglets et que la taille ne convient plus,\n";
					$content .= " // vous pouvez adapter cette taille en modifiant la valeur d'origine.\n";
					$content .= " \n";	
					$content .= " // Ressources des news\n";
					$content .= " // -------------------\n";
					$content .= "\$votre_site = \"".$votre_site."\"; // Modification imprative. Placez ici le nom de votre site\n"; 
					$content .= "\n";	
					$content .= "\$nombre_de_news = \"".$nombre_de_news."\"; // Le nombre d'infos affiches, en plus de celles du jour, est de 50 par dfaut. Si\n"; 
					$content .= " // vous souhaitez en faire apparatre une quantit diffrente, modifier cette valeur.\n";
					$content .= "\n";	
					$content .= "\$change_date_parution = \"".$change_date_parution."\"; // Inscrivez ici l'heure  laquelle vous estimez qu'une information doit \n";
					$content .= " // aussi faire partie de celles du lendemain. Le nombre indiqu doit tre compris entre 0 et 23.\n"; 
					$content .= "\n";	
					$content .= "\$longueur_minimale_news = \"".$longueur_minimale_news."\"; //Inscrivez ici la taille minimale que doit avoir une information rcupre \n";
					$content .= " // par SLICO. Cela permet d'viter de s'encombrer d'informations banales comme la date par exemple. Vous pouvez \n";
					$content .= " // modifier cette valeur en moins pour perdre le moins d'informations possible ou en plus pour moins vous encombrer. \n";
					$content .= "\n";	
					$content .= "\$pub_slico = \"".$pub_slico."\";  // Si vous ne souhaitez pas qu\'une rfrence  Slico figure dans vos \n";
					$content .= " // news, remplacez oui par non.\n";
					$content .= "\$meteo = \"".$meteo."\"; // L'exemple donne la mto pour Seysses. Mettez non pour qu'elle\n"; 
					$content .= " // n'apparaisse pas. Si vous souhaitez y faire figurer la mto de votre zone gographique,\n"; 
					$content .= " // rendez-vous sur http://www.meteocity.com/widget/ et crez le script qui convient en\n"; 
					$content .= " // choisissant \"Sur 5 jours\" et format \"Horizontal\". Rcuperez le script et ditez le \n";
					$content .= " // fichier meteo.inc qui se trouve dans le dossier include. Remplacez le script existant \n";
					$content .= " // par le vtre entre les deux lignes signalant le dbut et la fin de ce script.\n";
					$content .= "\n";	
					$content .= " // Ressources pour la page Publiez !\n";
					$content .= " // ---------------------------------\n";
					$content .= "\$destinataire = \"".$destinataire."\"; // Modification imprative. Une adresse mail est\n"; 
					$content .= " // ncessaire ici afin que vous puissiez recevoir des informations de la part des visiteurs,\n"; 
					$content .= " // adresse de site, news, annonces, encarts, etc., via le formulaire de cette page.\n"; 
					$content .= " // A ce stade, cette adresse est masque.\n"; 
					$content .= "\$destinataire_visible = \"".$destinataire_visible."\"; // Une fois le formulaire valid, votre adresse apparatra\n"; 
					$content .= " // afin que vos visiteurs puissent vous faire parvenir des pices jointes par mail.\n"; 
					$content .= " // Si vous ne le souhaitez pas, remplacez oui par non.\n"; 
					$content .= "\$image_destinataire = \"".$image_destinataire."\"; // Vous pouvez galement placer \n";
					$content .= " // ici une image contenant votre adresse mail de telle faon que les robots ne puissent pas\n"; 
					$content .= " // facilement la rcuprer. Il suffit alors de laisser oui dans $destinataire_visible et\n"; 
					$content .= " // d'diter le fichier image_destinataire.png avec un outil graphique pour y placer votre adresse.\n"; 
					$content .= " // Attention : Si vous acceptez que votre mail apparaisse en mode texte mais pas en tant qu'image,\n";
					$content .= " // remplacez \"images/divers/image_destinataire.png\"; par \"\";\n";
					$content .= "\n";	
					$content .= " // Ressources pour la page A propos\n";
					$content .= " // ---------------------------------\n";
					$content .= "\$emplacement_geographique = \"".$emplacement_geographique."\"; // Modification imprative. Placez ici un \n";
					$content .= " // texte adapt  votre site qui se placera sur cette page aprs  le texte suivant :\n";
					$content .= " // Ce site est un agrgateur d'informations et de services pour ...\n";
					$content .= "\n";	
					$content .= " // Ressources pour la colonne de droite\n";
					$content .= " // ------------------------------------	\n";
					$content .= "\$titre_colonne_droite = \"".$titre_colonne_droite."\"; // La colonne de droite est prvue pour les encarts des partenaires.\n";
					$content .= " // Si vous souhaitez l'affecter  autre chose, changez ce titre.\n";
					$content .= "\n";	
					$content .= " // Ressources pour le bas de page\n";
					$content .= " // --------------------------------- \n";
					$content .= "\$bas_de_page = \"".$bas_de_page."\";  // Si vous ne souhaitez pas que le bas de page s'affiche, remplacez oui par non.\n";
					$content .= " // Le bas de page par dfaut est un simple lien vers le site slico.net soulign d'un double trait. Si vous\n"; 
					$content .= " // voulez modifier son contenu, ditez le fichier bas_de_page.inc.\n";
					$content .= "\n";	
					$content .= " //////////////////////////////////////////////////////////////////////////////////////////////////\n";
					$content .= " // Notez que l'ensemble de ces modifications suffisent pour faire fonctionner correctement votre \n"; 
					$content .= " // site avec les bons paramtres. Vous pouvez aller plus loin et personnaliser certaines pages. \n";
					$content .= " // La page \"A propos\" (ficher a_propos.inc dans le dossier includes/) est trs simple et vous\n";
					$content .= " // pouvez facilement l'utiliser pour vous entraner  faire des modifications.\n";
					$content .= " //////////////////////////////////////////////////////////////////////////////////////////////////\n";
					$content .= "\$mise_a_jour = \"".$mise_a_jour."\";  // Ne pas modifier.\n";
					$content .= " \n";	
					$content .= "?>\n";
					
					file_put_contents($file, $content);
					
					// On informe de la fin de la procdure
					echo '<p class="centrer"><br><br>Les informations ont t enregistres. Vous pouvez continuer la construction de votre site.</p>';	   
					echo '<br><br><div class="titre" style="text-align: center"><a href="index.php">Suite</a></div>';
				}
					
			?>
			

			<!-- Accs et config -->	
			
			</div>
		</div>	  
	</body>
</html>
			























