<?php
	
	// Initialisation des variables pour les tests
	$config = true;
	$access = true;
	$bdd = true;  		  
	
	$revision = $_GET['revision'];
	$change_mdp = $_GET['change_mdp'];
	
	// Test si .htaccess existe
	$filename = ".htaccess";
	if (!file_exists($filename)) $access = false;

	// Test si config.php existe
	$filename = "config.php";
	if (!file_exists($filename)) $config = false;
	
	// Si config.php existe, test si la base de donnes existe. 
	if 	($config) {
		require("config.php");		 
		$db=mysql_connect($serveur_db,$login_db,$pass_db);
		mysql_select_db($nom_db,$db);
		$table = $prefixe_db."_rubriques";	
		if ((mysql_errno() > 0) or (mysql_num_rows(mysql_query("SHOW TABLES LIKE '".$table."'"))==0)) 
		{
			 $bdd = false; 
		}	 	 
	}			
	// En fonction de l'tat des variables, on propose une mise  jour particulire
?>			 


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>

	<!-- Entte HTML --> 
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<title>Configuration de SLICO 2</title>
		<link rel="stylesheet" type="text/css" href="slico.css">

		<!-- Affichage du favicon --> 
		<link rel="shortcut icon" href="../favicon.png"> 
		<link rel="icon" type="image/x-icon" href="../favicon.png"> 
	</head>

	<!-- Corps du document --> 							 
	<body>
		<!-- cadre de la page --> 
		<div style="text-align: justify; width: 800px; margin: 0 auto">	
			
			<!-- En-tte --> 
			<div style="float: right">
				<img src="slico_180x131.png" border="0" width="180" height="131" alt="">
			</div>	
						 
			<div style="float: left">
				<img src="editions_rush_180x131.png" border="0" width="180" height="131" alt="">
			</div>	  
			
			<!-- Titre --> 
			<div style="float: none; text-align: center; font-family: Arial; font-size: 20px; text-decoration: underline; font-weight: bold; margin-top: 2em">
				<br><br>Configuration de SLICO 2
			</div>		  
			
			<!-- Espace vertical --> 
			<div style="clear: both; margin-bottom: 3em">
			</div>
		  					  	
			<!-- Formulaire  --> 
			<div style="text-align: left; margin: 0 auto; width: 800px">	 
				
			 
				<form action="appliquer_configuration.php" method="post">
					
				  	<?php	 
				  	if (!$config) {	

				   		// Si config.php est absent on cre les variables provisoires
						$serveur_db = "serveur_MySQL";  
						$login_db = "nom_utilisateur";  
						$pass_db = "mot_de_passe";  
						$nom_db = "nom_de_la_base";  
						$prefixe_db = "commune"; 							 
				 	}
					$acces_seul = "non";
					$bdd_seule = "non";
				   	
				   
					if (!$access){

				   		// Si .htaccess n'existe pas, on cre les valeurs par dfaut
						$admin = "admin";  
						$mdp = "slico"; 			   
				   		// et on propose le formulaire
						echo '<font size="-1"><i>';
						echo '<b><u>Etape 1</u></b> - Afin de scuriser votre site, il est ncessaire de saisir maintenant un <b>login</b> et un <b>mot de passe</b>. Par dfaut il s\'agit de ';
						echo '<b>admin</b> et de <b>slico</b>. Vous pouvez laisser <b>admin</b> ou le remplacer par un pseudo, mais vous devez imprativement modifier le mot de passe et le mmoriser. ';
						echo '</i></font>';	 
						$acces_seul = "oui";  	  

						echo '<input type="hidden" name="acces_seul" value="'.$acces_seul.'">';

						include ("inc_acces.inc");
					}
								
					if (($access) and ($config) and ($bdd) and ($change_mdp=="oui")){
	
				   		// On rcupre le nom de l'administrateur
						$admin = "admin";  
						$mdp = "slico"; 			   
				   		// et on propose le formulaire
						echo '<font size="-1"><i>';
						echo 'L\'ancien login et le mot de passe vont tre effacs, saisissez un nouveau nom et un nouveau mot de passe pour scuriser votre site';
						echo '</i></font>';	 
						$acces_seul = "oui";  	  

						echo '<input type="hidden" name="acces_seul" value="'.$acces_seul.'">';

						include ("inc_acces.inc");
					}   
						
					if (($access) and ((!$config) or (!$bdd))){		 
					
				   		// Si la base de donnes n'existe pas, on propose le formulaire pour la crer
						echo '<font size="-1"><i>';
						echo '<b><u>Etape 2</u></b> - Pour mettre en service la base de donnes, SLICO a besoin des paramtres que vous a fourni votre hbergeur.';
						echo '<br>Saisissez-les ici et choisissez un prfixe pour identifier le site que vous crez. Ce prfixe sera utile si vous crez par la suite d\'autres sites sous le mme hbergement.';
						echo '</i></font>';
						$bdd_seule = "oui";
						echo '<input type="hidden" name="acces_seul" value="'.$acces_seul.'">';
						echo '<input type="hidden" name="bdd_seule" value="'.$bdd_seule.'">';
					   include ("inc_bdd.inc");	
					}				   
	
					if (($access) and ($config) and ($bdd) and ($revision != "oui") and ($change_mdp!="oui")){
	
						echo '<font size="-1"><i>';	 
						echo '<b><u>Etape 3</u></b> - Votre site peut fonctionner provisoirement avec les valeurs proposes dans ce formulaire. ';
						echo '<br>Si vous avez dj prvu d\'y apporter des modifications, vous pouvez le faire maintenant, sinon vous pourrez ';
						echo '<br>le faire  tout moment dans la partie administration accessible par le lien "Admin" figurant au bas de la page "Publiez !" de votre site.';
						echo '</i></font>';	
				
						echo '<input type="hidden" name="serveur_db" value="'.$serveur_db.'">';
						echo '<input type="hidden" name="login_db" value="'.$login_db.'">';
						echo '<input type="hidden" name="pass_db" value="'.$pass_db.'">';
						echo '<input type="hidden" name="nom_db" value="'.$nom_db.'">';
						echo '<input type="hidden" name="prefixe_db" value="'.$prefixe_db.'">';
				
						echo '<input type="hidden" name="acces_seul" value="'.$acces_seul.'">';
						echo '<input type="hidden" name="bdd_seule" value="'.$bdd_seule.'">';
						include ("inc_config.inc");	
					}   
					if (($access) and ($config) and ($bdd) and ($revision=="oui")){
	
						echo '<font size="-1"><i>';	 
						echo '<b><u>Rvision des paramtres </u></b> - Ce formulaire vous permet de modifier les paramtres de votre site.';
						echo '</i></font>';	
				
						echo '<input type="hidden" name="serveur_db" value="'.$serveur_db.'">';
						echo '<input type="hidden" name="login_db" value="'.$login_db.'">';
						echo '<input type="hidden" name="pass_db" value="'.$pass_db.'">';
						echo '<input type="hidden" name="nom_db" value="'.$nom_db.'">';
						echo '<input type="hidden" name="prefixe_db" value="'.$prefixe_db.'">';
				
						echo '<input type="hidden" name="acces_seul" value="'.$acces_seul.'">';
						echo '<input type="hidden" name="bdd_seule" value="'.$bdd_seule.'">';
						include ("inc_config.inc");	
					}   
				   ?>
	
					<div style="border-bottom: double black; text-align: justify; margin-up: 8px; clear: both">&nbsp;</div>

					<div class="titre" style="text-align: center">	 
						<p><input type="submit" value="Configurer"></p>
						<!-- Annulation de l'opration --> 
						<p><a href="../index.php">Annuler les changements</a></p>
					</div>
				</form>		
			</div>
		</div>	  
	</body>
</html>
